Package it.ernytech.tdlib

## Class TdApi.MessageLocation

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessageLocation

Enclosing class:
  TdApi

    public static class TdApi.MessageLocation
    extends TdApi.MessageContent

A message with a location.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`int` `expiresIn` Left time for which the location can be updated, in seconds. updateMessageContent is not sent when this field changes.
`int` `livePeriod` Time relative to the message sent date until which the location can be updated, in seconds.
`TdApi.Location` `location` Message content.

### Constructor Summary

Constructors
`MessageLocation()` Default constructor.
`MessageLocation​(TdApi.Location location, int livePeriod, int expiresIn)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### location

    public TdApi.Location location

Message content.

#### livePeriod

    public int livePeriod

Time relative to the message sent date until which the location can be updated, in seconds.

#### expiresIn

    public int expiresIn

Left time for which the location can be updated, in seconds. updateMessageContent is not sent when this field changes.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessageLocation

    public MessageLocation()

Default constructor.

#### MessageLocation

    public MessageLocation​(TdApi.Location location,
                           int livePeriod,
                           int expiresIn)

Constructor for initialization of all fields.

Parameters:
  `location` - Message content.
  `livePeriod` - Time relative to the message sent date until which the location can be updated, in seconds.
  `expiresIn` - Left time for which the location can be updated, in seconds. updateMessageContent is not sent when this field changes.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR